import { Router } from '@angular/router';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class MonkeyEcxProgressBarService {
    private router;
    private visible;
    constructor(router: Router);
    private init;
    show(): void;
    hide(): void;
    visibleConfig(): Observable<any> | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxProgressBarService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxProgressBarService>;
}
